-- 阵容页签
Lua_HeroLineupTabCell = class("Lua_HeroLineupTabCell", Lua_ListCell);
function Lua_HeroLineupTabCell:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroLineupTabCell:buildShowItem()
    self:superCall("buildShowItem");

    self.bg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_tab_05", 0, 0, 184, 62);

    self.title = UICreate.createLabel(self.content, nil, 0, 0, 100, 31, 30);
    self.title.pivot = Lua_WindowUtil.getPivot(4);
    self.title.alignmentValue = 4;
    self.title.horizontalOverflowValue = 1;
    self.title.fontName = Lua_MyUISettings.huakangFontName;
end

function Lua_HeroLineupTabCell:dispose()
    self.data = nil;
    self:superCall("dispose");
end

function Lua_HeroLineupTabCell:setData(data)
    self.data = data;
    self.title.text = data.name;
end

function Lua_HeroLineupTabCell:onPressClick()
    Lua_MsgUtil.callFunc("LINEUP_TYPE_SELECT", self.data);
    return true;
end

function Lua_HeroLineupTabCell:onSelectionChange(bSelect)
    self:superCall("onSelectionChange", bSelect);
    if bSelect == true then
        self.bg:setLocation(0, 0, 0);
        self.bg:setAltas("common_altas_1", "ui_common_tab_05");
        self.title.colorStr = Lua_ColorDefine.transColor("8B5E34");
    else
        self.bg:setLocation(0, 2, 0);
        self.bg:setAltas("common_altas_1", "ui_common_tab_06");
        self.title.colorStr = Lua_ColorDefine.transColor("DEDFE0");
    end
    self.bg:resetSize();
end